﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RadTreeListView_WPF
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			this.RadTreeListView1.DataLoaded += new EventHandler<EventArgs>(RadTreeListView1_DataLoaded);
		}

		void RadTreeListView1_DataLoaded(object sender, EventArgs e)
		{
			this.RadTreeListView1.DataLoaded -= new EventHandler<EventArgs>(RadTreeListView1_DataLoaded);
			this.RadTreeListView1.ExpandAllHierarchyItems();   
		}

		

		

		private void RadContextMenu_ItemClick(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{

			if ((e.OriginalSource as RadMenuItem).Header.Equals("FilterBySelection"))
			{
				FilterDescriptor descriptor = new FilterDescriptor();
				descriptor.Member = "Country";
				descriptor.Operator = FilterOperator.IsEqualTo;
				descriptor.Value = "Spain";
				this.RadTreeListView1.FilterDescriptors.Add(descriptor);
			}
		}
		
	}
}
